** LABOUR FORCE CATEGORIES (NICOLI NATTRASS - AUGUST 2002)**

# delimit;
set matsize 450;
set mem 50m;
log using c:\logfiles\mplain\test, replace;

use "C:\Stata Mitchell's Plain\Data\labelled\Stata 7\Merged version\Adult_All_03_07.dta", clear;
sort hhid pcode; 
merge hhid pcode use "C:\Stata Mitchell's Plain\Data\labelled\Stata 7\Merged version\householdmodule_All_03_07.dta";
keep if _merge==3;


**RECODING TO CORRECT DATA ENTRY ERRORS**;

recode e12 254=.;
recode e12 375=.;
recode e12 400=.;
recode e12 500=.;
recode i26 355=.;
recode e36 0=.;
recode i28 0=.;


** RECODING TO MISSING 2nd JOBS WHICH ARE REPEATED INFORMATION AND THE RESPONDENT REPORTED NO 2nd JOB**;

recode e39 *=. if e2==2 & e9==e36 & e12==e39 & e12~=. & e9~=. & e36~=. & e39~=.;
recode e36 *=. if e2==2 & e9==e36 & e12==e39 & e12~=. & e9~=. & e36~=. & e39~=.;
recode e39 *=. if e39~=. & e2==2 & e12==e39 & e9==. & e36~=.;
recode e39 *=. if e39~=. & e2==2 & e12==e39 & e36==. & e9~=.;
recode e36 *=. if e36~=. & e2==2 & e12==e39 & e9==.;
recode i26 *=. if i26~=. & e2==2 & e12==i26 & e9==i28 & e8==2 & e12~=. & e9~=. & i28~=.;
recode i26 *=. if i26~=. & e2==2 & e12==i26 & e12~=. & e9~=. & i28~=. & (e9/4)==i28 & e8==4; 
recode i26 *=. if i26~=. & e2==2 & e12==i26 & e12~=. & e9~=. & i28~=. & (e9*5)==i28 & e8==1;
recode i26 *=. if i26~=. & e2==2 & e12==i26 & e12~=. & e9~=. & i28~=. & e9==(i28+i28) & e8==3;
recode i28 *=. if i28~=. & e2==2 & e12==i26 & e9==i28 & e12~=. & i26~=. & e9~=. & e8==2;
recode i28 *=. if i28~=. & e2==2 & e12==i26 & e12~=. & i26~=.& e9~=. & (e9/4)==i28 & e8==4; 
recode i28 *=. if i28~=. & e2==2 & e12==i26 & e12~=. & i26~=.& e9~=. & (e9*5)==i28 & e8==1;
recode i28 *=. if i28~=. & e2==2 & e12==i26 & e12~=. & i26~=. & e9~=. & e9==(i28+i28) & e8==3;
recode i26 *=. if i26~=. & e2==2 & e12==i26 & e12~=. & i28~=. & e9==.;
recode i26 *=. if i26~=. & e2==2 & e12==i26 & i28==. & e9~=.; 
recode i28 *=. if i28~=. & e2==2 & e12==i26 & e9==. & e12~=. & i26~=.;
recode i28 *=. if i28~=. & e2==2 & e12==i26 & i28==. & e12~=. & i26 ~=.; 

recode i26 *=. if i26~=. & hhid==1196 & pcode==4; *(said had one job, info repeated in section on casual work but with a wage of R200 instead of R2000 - assumed in error;
recode i28 *=. if i28~=. & hhid==1196 & pcode==4;


**WAGE EMPLOYMENT**;

gen wage_emp=.;
replace wage_emp=1 if e12>0 & e12~=.; * (i.e. respondents reported that they worked in wage-employment for one or more hours a week)*;
replace wage_emp=1 if wage_emp==. & e39~=.; * (i.e. respondents reported that they worked in wage-employment in their second job for one or more hours a week)*;
replace wage_emp=2 if wage_emp==. & e12==. & e9~=.; *(i.e. respondents that reported a positive wage but missing information on hours);
replace wage_emp=2 if wage_emp==. & e39==0 & e36~=.;
replace  wage_emp=2 if wage_emp==. & e39==. & e36~=.;
label variable wage_emp "wage work for an hour or more in the past week";
label values wage_emp wage_empv;
label define wage_empv 1 "+hrs recorded" 2 "wage info only";

gen onewagejob=.;
replace onewagejob=1 if wage_emp==1 & e12~=. & e39==.;
replace onewagejob=1 if onewagejob==. & wage_emp==1 & e12==. & e39~=.;
replace onewagejob=2 if onewagejob==. & wage_emp==2 & e9~=. & e36==.;
replace onewagejob=2 if onewagejob==. & wage_emp==2 & e9==. & e36~=.;
label variable onewagejob "one wage job only";
label values onewagejob onwagejobv;
label define onwagejobv 1 "+hrs recorded" 2 "wage info only";

gen twowagejobs=.;
replace twowagejobs=1 if wage_emp==1 & e12~=. & e39~=.;
replace twowagejobs=2 if twowagejobs==. & wage_emp==2 & e9~=. & e36~=.; 
label values twowagejobs twowagejobbsv;
label define twowagejobsv 1 "+hrs recorded" 2 "wage info only";
label variable twowagejobs "two wage jobs";

gen wagehours=e12+e39;
label variable wagehours "hours worked in wage employment in the past week";

gen ftptwage_emp=.;
label variable ftptwage_emp "type of wage employment";
replace ftptwage_emp=1 if onewagejob==1 & e12>39 & wage_emp==1 & e12~=.; 
replace ftptwage_emp=1 if ftptwage_emp==. & onewagejob==1 & e39>39 & wage_emp==1 & e39~=.;
replace ftptwage_emp=2 if ftptwage_emp==. & twowagejobs==1 & wagehours>39 & wagehours~=.;  
replace ftptwage_emp=3 if ftptwage_emp==. & wage_emp==1 & onewagejob==1 & e12<40 & e12~=.;
replace ftptwage_emp=3 if ftptwage_emp==. & wage_emp==1 & onewagejob==1 & e39<40 &e39~=.; 
replace ftptwage_emp=4 if ftptwage_emp==. & wage_emp==1 & twowagejobs==1 & wagehours<40 & wagehours~=.;
replace ftptwage_emp=5 if ftptwage_emp==. & wage_emp==2;
label values ftptwage_emp ftptwage_empv;
label define ftptwage_empv 1 "1 ft wage job" 2 "2 wage jobs total >39hrs" 3 "1 pt wage job" 
4 "2 wage jobs total <40hrs" 5 "wage-emp but missing hrs";


**SELF-EMPLOYMENT**;

gen self_emp=.;
label variable self_emp "self employment";
replace self_emp=1 if g11==1 & g14~=.; *(Those who reported that they were self-employed in the last week for one or more hours);
replace self_emp=2 if self_emp==. & g11==1 & g14==.; *(Reported no hours but said they were self-emp in the last week); 
label values self_emp self_empv;
label define self_empv 1 "+hrs recorded" 2 "self-emp but no hrs reported";

gen ftptself_emp=.;
label variable ftptself_emp "type of self employment";
replace ftptself_emp=1 if self_emp==1 & g14>39 & g14~=.;
replace ftptself_emp=2 if ftptself_emp==. & self_emp==1 & g14<40 & g14~=.;
replace ftptself_emp=3 if ftptself_emp==. & self_emp==2;
label values ftptself_emp ftptself_empv;
label define ftptself_empv 1 "full-time" 2 "part-time" 3 "self-emp but missing hrs";


**CASUAL EMPLOYMENT**;

gen casual_emp=.;
label variable casual_emp "casual employed in the last week";
replace casual_emp=1 if i26~=.; *(Those who reported that they worked as casual workers in the last week for one hour or more);
replace casual_emp=2 if casual_emp==. & i25==1; *(said they worked in past week but did not record hours);
replace casual_emp=2 if casual_emp==. & i28~=.; *(recorded income in past week, but not hours);
label values casual_emp casual_empv;
label define casual_empv 1 "+hrs recorded" 2 "reported activity or income only";


gen ftptcasual_emp=.;
label variable ftptcasual_emp "type of casual employment";
replace ftptcasual_emp=1 if (i26>39 & i26~=. & casual_emp==1);
replace ftptcasual_emp=2 if (i26<40 & i26~=. & ftptcasual_emp==. & casual_emp==1);
replace ftptcasual_emp=3 if ftptcasual_emp==. & casual_emp==2;
label values ftptcasual_emp ftptcasual_empv;
label define ftptcasual_empv 1 "full-time" 2 "part-time" 3 "cas-emp but missing hrs";


**A GENERAL DEFINITION OF EMPLOYMENT**;

gen employed=.;
label variable employed "employed - full description";
replace employed=1 if (wage_emp==1 | wage_emp==2) & (onewagejob==1 | onewagejob==2) & self_emp~=1 & self_emp~=2 & casual_emp~=1 & casual_emp~=2; 
replace employed=2 if employed==. & (wage_emp==1 | wage_emp==2) & (twowagejobs==1 | twowagejobs==2) & self_emp~=1 & self_emp~=2 & casual_emp~=1 & casual_emp~=2;
replace employed=3 if employed==. & (self_emp==1 | self_emp==2) & wage_emp~=1 & wage_emp~=2 & casual_emp~=1 & casual_emp~=2; 
replace employed=4 if employed==. & (casual_emp==1 | casual_emp==2) & self_emp~=1 & self_emp~=2 & wage_emp~=1 & wage_emp~=2; 
replace employed=5 if employed==. & (self_emp==1 | self_emp==2) & (onewagejob==1 | onewagejob==2) & (wage_emp==1 | wage_emp==2) & casual_emp~=1 & casual_emp~=2; 
replace employed=9 if employed==. & (self_emp==1 | self_emp==2) & (twowagejobs==1 | twowagejobs==2) & (wage_emp==1 | wage_emp==2) & casual_emp~=1 &casual_emp~=2;
replace employed=6 if employed==. & (wage_emp==1 | wage_emp==2) & (casual_emp==1 | casual_emp==2) & (onewagejob==1 | onewagejob==2) & self_emp~=1 & self_emp~=2; 
replace employed=10 if employed==. & (wage_emp==1 | wage_emp==2) & (twowagejobs==1 | twowagejobs==2) & (casual_emp==1 | casual_emp==2) & self_emp~=1 & self_emp~=2;
replace employed=7 if employed==. & (self_emp==1 | self_emp==2) & (casual_emp==1 | casual_emp==2) & wage_emp~=1 & wage_emp~=2; 
label values employed employedv;
label define employedv 1 "one wage job only" 2 "two wage jobs only" 3 "self-employed only" 
4 "casual work only" 5 "1 wage job & self-emp" 9 "2 wage jbs & self-emp" 6 "1 wage jb & cas emp" 
10 "two wage jbs & cas emp" 7 "self-emp & cas emp";



gen lfemployed=.;
label variable lfemployed "employed - ICLS approach";
replace lfemployed=1 if (wage_emp==1 | wage_emp==2) & self_emp~=1 & self_emp~=2 & casual_emp~=1 & casual_emp~=2;
replace lfemployed=2 if lfemployed==. & (self_emp==1 | self_emp==2) & wage_emp~=1 & wage_emp~=2 & casual_emp~=1 & casual_emp~=2;
replace lfemployed=3 if lfemployed==. & (casual_emp==1 | casual_emp==2) & self_emp~=1 & self_emp~=2 & wage_emp~=1 & wage_emp~=2;
replace lfemployed=1 if lfemployed==. & (self_emp==1 | self_emp==2) & (wage_emp==1 | wage_emp==2) & e12>=g14 & e12~=. & g14~=.; *(wage employed hours >= self-employed hours);
replace lfemployed=1 if lfemployed==. & (casual_emp==1 | casual_emp==2) & (wage_emp==1 | wage_emp==2) & e12>=i26 & e12~=. & i26~=.; *(wage employed hours >= casual emp hours);
replace lfemployed=2 if lfemployed==. & (self_emp==1 | self_emp==2) & (wage_emp==1 | wage_emp==2) & e12<=g14 & e12~=. & g14~=.; *(wage employed hours <= self-employed hours);
replace lfemployed=2 if lfemployed==. & (casual_emp==1 | casual_emp==2) & (self_emp==1 | self_emp==2) & g14>=i26 & g14~=. & i26~=.; *(self emp hours >= casual emp hours);
replace lfemployed=3 if lfemployed==. & (casual_emp==1 | casual_emp==2) & (wage_emp==1 | wage_emp==2) & e12<i26 & e12~=. & i26~=.; *(wage employed hours < casual emp hours);
replace lfemployed=3 if lfemployed==. & (casual_emp==1 | casual_emp==2) & (self_emp==1 | self_emp==2) & g14<i26 & g14~=. & i26~=.; *(self emp hours < casual emp hours);

replace lfemployed=1 if lfemployed==. & (wage_emp==1 | wage_emp==2) & (self_emp==1 | self_emp==2) & e9>=g13_7  & e8==4 & e9~=. & g13_7~=.; *(wage higher than self-emp profits);
replace lfemployed=1 if lfemployed==. & (wage_emp==1 | wage_emp==2) & (self_emp==1 | self_emp==2) & (e9+e9)>=g13_7  & e8==3 & e9~=. & g13_7~=.; 
replace lfemployed=1 if lfemployed==. & (wage_emp==1 | wage_emp==2) & (self_emp==1 | self_emp==2) & (e9+e9+e9+e9)>=g13_7  & e8==2 & e9~=. & g13_7~=.;
replace lfemployed=1 if lfemployed==. & (wage_emp==1 | wage_emp==2) & (self_emp==1 | self_emp==2) & (e9*30)>=g13_7  & e8==1 & e9~=. & g13_7~=.;
replace lfemployed=1 if lfemployed==. & (wage_emp==1 | wage_emp==2) & (casual_emp==1 | casual_emp==2) & e9>=i28  & e8==2 & e9~=. & i28~=.; *(wage equal to or higher than casual earnings);
replace lfemployed=1 if lfemployed==. & (wage_emp==1 | wage_emp==2) & (casual_emp==1 | casual_emp==2) & (e9/2)>=i28  & e8==3 & e9~=. & i28~=.; 
replace lfemployed=1 if lfemployed==. & (wage_emp==1 | wage_emp==2) & (casual_emp==1 | casual_emp==2) & (e9/4)>=i28  & e8==4 & e9~=. & i28~=.;
replace lfemployed=1 if lfemployed==. & (wage_emp==1 | wage_emp==2) & (casual_emp==1 | casual_emp==2) & (e9*5)>=i28  & e8==1 & e9~=. & i28~=.;
replace lfemployed=1 if lfemployed==. & (wage_emp==1 | wage_emp==2) & (casual_emp==1 | casual_emp==2) & i25==1;

replace lfemployed=2 if lfemployed==. & (wage_emp==1 | wage_emp==2) & (self_emp==1 | self_emp==2) & e9<g13_7  & e8==4 & e9~=. & g13_7~=.; *(wage lower than self-emp profits);
replace lfemployed=2 if lfemployed==. & (wage_emp==1 | wage_emp==2) & (self_emp==1 | self_emp==2) & (e9+e9)<g13_7  & e8==3 & e9~=. & g13_7~=.; 
replace lfemployed=2 if lfemployed==. & (wage_emp==1 | wage_emp==2) & (self_emp==1 | self_emp==2) & (e9+e9+e9+e9)<g13_7  & e8==2 & e9~=. & g13_7~=.;
replace lfemployed=2 if lfemployed==. & (wage_emp==1 | wage_emp==2) & (self_emp==1 | self_emp==2) & (e9*20)<g13_7  & e8==1 & e9~=. & g13_7~=.;

replace lfemployed=3 if lfemployed==. & (wage_emp==1 | wage_emp==2) & (casual_emp==1 | casual_emp==2) & e9<i28  & e8==2 & e9~=. & i28~=.; *(wage lower than casual earnings);
replace lfemployed=3 if lfemployed==. & (wage_emp==1 | wage_emp==2) & (casual_emp==1 | casual_emp==2) & (e9/2)<i28  & e8==3 & e9~=. & i28~=.; 
replace lfemployed=3 if lfemployed==. & (wage_emp==1 | wage_emp==2) & (casual_emp==1 | casual_emp==2) & (e9/4)<i28  & e8==4 & e9~=. & i28~=.;
replace lfemployed=3 if lfemployed==. & (wage_emp==1 | wage_emp==2) & (casual_emp==1 | casual_emp==2) & (e9*5)<i28  & e8==1 & e9~=. & i28~=.;

replace lfemployed=2 if lfemployed==. & (self_emp==1 | self_emp==2) & (casual_emp==1 | casual_emp==2) & (g13_7)/4>=i28 & g13_7~=. & i28~=.; *(self-emp profits equal or higher to casual earnings);
replace lfemployed=3 if lfemployed==. & (self_emp==1 | self_emp==2) & (casual_emp==1 | casual_emp==2) & (g13_7)/4<i28 & g13_7~=. & i28~=.; *(self-emp profits lower than casual earnings);
label values lfemployed lfemployedv;
label define lfemployedv 1 "wage workers" 2 "self-employed" 3 "casual workers";

gen ftemployed=.;
label variable ftemployed "working 40 or more hours a week";
replace ftemployed=1 if ftptwage_emp==1 & ftptself_emp==. & ftptcasual_emp==.; 
replace ftemployed=2 if ftptwage_emp==2 & ftptself_emp==. & ftptcasual_emp==.; 
replace ftemployed=3 if ftemployed==. & ftptself_emp==1 & ftptcasual_emp==. & ftptwage_emp==.;
replace ftemployed=4 if ftemployed==. & ftptcasual_emp==1 & ftptself_emp==. & ftptwage_emp==.; 
replace ftemployed=5 if ftemployed==. & ftptself_emp==1 & ftptwage_emp==1 & ftptcasual_emp==.; 
replace ftemployed=15 if ftemployed==. & ftptself_emp==1 & ftptwage_emp==2 & ftptcasual_emp==.;
replace ftemployed=6 if ftemployed==. & ftptwage_emp==1 & ftptcasual_emp==1 & ftptself_emp==.; 
replace ftemployed=16 if ftemployed==. & ftptwage_emp==2 & ftptcasual_emp==1 & ftptself_emp==.;
replace ftemployed=7 if ftemployed==. & ftptwage_emp==1 & ftptself_emp==2; 
replace ftemployed=17 if ftemployed==. & ftptwage_emp==2 & ftptself_emp==2;
replace ftemployed=8 if ftemployed==. & ftptself_emp==1 & ftptwage_emp==3; 
replace ftemployed=18 if ftemployed==. & ftptself_emp==1 & ftptwage_emp==4;
replace ftemployed=9 if ftemployed==. & ftptwage_emp==1 & ftptcasual_emp==2; 
replace ftemployed=19 if ftemployed==. & ftptwage_emp==2 & ftptcasual_emp==2;

replace ftemployed=10 if ftemployed==. & ftptself_emp==1 & ftptcasual_emp==1 & ftptwage_emp==1; 
replace ftemployed=11 if ftemployed==. & ftptself_emp==1 & ftptcasual_emp==1 & ftptwage_emp==.; 
replace ftemployed=12 if ftemployed==. & ftptcasual_emp==1 & ftptwage_emp==2; 
replace ftemployed=13 if ftemployed==. & ftptself==1 & ftptcasual_emp==2; 
replace ftemployed=14 if ftemployed==. & ftptcasual_emp==1 & ftptself==2; 
label values ftemployed ftemployedv;
label define ftemployedv 1 "1 ft wage job" 2 "2 wage jbs total >39" 3 "ft self-employed" 
4 "ft casual work" 5 "1 ft wage jb & ft self-emp" 15 "2 wge jbs tot>39 & ft self-emp" 
6 "1 ft wge jb & ft cas emp" 16 "2 wge jbs tot>39 & ft cas emp" 7 "ft wage job and pt self-emp" 
17 "2 wage jobs tot>39 hrs & pt self-emp" 8 "ft self-emp & 1 pt wage job" 
18 "ft self-emp & 2 wage jobs tot<40 hrs" 9 "ft wage job & pt cas emp" 
19 "two wage jobs totalling 40 or more hours and pt casual employment" 
10 "ft selfemployed ft casual employed ft wage employed" 
11 "ft self employed ft casual employed" 
12 "ft casual employment and pt wage employment" 
13 "full-time self employment and part-time casual employment" 
14 "full-time casual and part-time self employment";

gen ptemployed=.;
label variable ptemployed "working less than 40 hours a week";
replace ptemployed=1 if ftptwage_emp==3 & ftptself_emp==. & ftptcasual_emp==.; 
replace ptemployed=2 if ftptwage_emp==4 & ftptself_emp==. & ftptcasual_emp==.; 
replace ptemployed=3 if ptemployed==. & ftptself_emp==2 & ftptwage_emp==. & ftptcasual_emp==.; 
replace ptemployed=4 if ptemployed==. & ftptcasual_emp==2 & ftptwage_emp==. & ftptself_emp==.; 
replace ptemployed=5 if ptemployed==. & ftptself_emp==2 & ftptwage_emp==3 & ftptcasual_emp==.;
replace ptemployed=15 if ptemployed==. & ftptself_emp==2 & ftptwage_emp==4 & ftptcasual_emp==.;
replace ptemployed=6 if ptemployed==. & ftptwage_emp==3 & ftptcasual_emp==2 & ftptself_emp==.; 
replace ptemployed=16 if ptemployed==. & ftptwage_emp==4 & ftptcasual_emp==2 & ftptself_emp==.;
replace ptemployed=7 if ptemployed==. & ftptself_emp==2 & ftptcasual_emp==2 & ftptwage_emp==.;
replace ptemployed=8 if ptemployed==. & ftptself_emp==2 & ftptcasual_emp==2 & ftptwage_emp==3;
replace ptemployed=18 if ptemployed==. & ftptself_emp==3 & ftptcasual_emp==2 & ftptwage_emp==4;
label values ptemployed ptemployedv;
label define ptemployedv 1 "1 pt wage job" 2 "2 wage jobs tot<40" 3 "pt self-employed" 
4 "pt casual work" 5 "1 pt wage job & pt self-emp" 15 "2 wage jobs tot<40 & pt self-emp" 
6 "1 pt wage job & pt cas emp" 16 "2 wage jobs tot<40 & pt cas emp" 
7 "pt self-employ & pt cas emp" 8 "pt self-emp & pt cas emp & 1 pt wage jb" 
18 "pt self-emp pt cas emp & 2 pt wage jbs";

gen ptftemp=.; 
label variable ptftemp "type of work";
replace ptftemp=1 if ptemployed==5 & e12+g14>39;
replace ptftemp=2 if ptftemp==. & ptemployed==6 & e12+i26>39;
replace ptftemp=3 if ptftemp==. & ptemployed==7 & g14+i26>39;
label values ptftemp ptftempv;
label define ptftempv 1 "1 pt wage job & self-emp tot<40" 2 "pt wage & pt casual tot>39" 3 "pt self & pt cas tot>39";


**UNEMPLOYED**;

gen broad_unemp=.;
label variable broad_unemp "broadly defined unemployed";
replace broad_unemp=1 if f7==1 & employed==. & f8_1==1; *(Want a job, are not employed and are available for work in conventional working hours); 

gen actsearch_unemp=.;
label variable actsearch_unemp "active searching unemployed";
replace actsearch_unemp=1 if broad_unemp==1 & f19==1; *(Travelled to look for work);
replace actsearch_unemp=1 if actsearch_unemp==. & broad_unemp==1 & f29_6==1; *(Went to factories and waited outside);
replace actsearch_unemp=1 if actsearch_unemp==. & broad_unemp==1 & f29_7==1; *(Knocked on factory gates or visited homes and shops);
replace actsearch_unemp=1 if actsearch_unemp==. & broad_unemp==1 & f29_8==1; *(Visited employment agencies);
replace actsearch_unemp=1 if actsearch_unemp==. & broad_unemp==1 & f29_9==1; *(Phoned old employers);
replace actsearch_unemp=1 if actsearch_unemp==. & broad_unemp==1 & f29_10==1; *(Waited on the side of the road for jobs);
replace actsearch_unemp=1 if actsearch_unemp==. & broad_unemp==1 & f29_1==1 & f2==1; *(Looked in newspapers and believed this was the best way to get a job);
replace actsearch_unemp=1 if actsearch_unemp==. & broad_unemp==1 & f29_11==1 & f2==11; *(Looked on noticeboards and believed this was the best way to get a job);

gen networkex_unemp=.;
label variable networkex_unemp "exclusively networking searching unemployed";
replace networkex_unemp=1 if broad_unemp==1 & actsearch_unemp~=1 & f29_2==1; *(unemployed, not classified as searching but relying on household members to tell them about jobs);
replace networkex_unemp=1 if networkex_unemp==. & broad_unemp==1 & actsearch_unemp~=1 & f29_3==1; *(unemployed, not classified as searching but relying on friends/family from different households to tell them about jobs);
replace networkex_unemp=1 if networkex_unemp==. & broad_unemp==1 & actsearch_unemp~=1 & f29_4==1; *(unemployed, not classified as searching but relying on household members to get then a job);
replace networkex_unemp=1 if networkex_unemp==. & broad_unemp==1 & actsearch_unemp~=1 & f29_5==1; *(unemployed, not classified as searching but relying on friends/family from different households to get them a job);

gen marg_unemp=.;
label variable marg_unemp "marginalised unemployed";
replace marg_unemp=1 if broad_unemp==1 & actsearch_unemp~=1 & networkex_unemp~=1; *(broadly classified as unemployed but not looking for job);

gen int_unemp=.;
label variable int_unemp "intermediate category of unemployed";
replace int_unemp=1 if actsearch_unemp==1 | networkex_unemp==1;


** LABOUR FORCE PARTICIPANTS**;

gen brlfparticipant=.;
label variable brlfparticipant "broadly defined labour force participant";
replace brlfparticipant=1 if employed~=.;
replace brlfparticipant=2 if brlfparticipant==. & broad_unemp==1.;

gen stlfparticipant=.;
label variable stlfparticipant "strictly defined labour force participant";
replace stlfparticipant=1 if employed~=.;
replace stlfparticipant=2 if stlfparticipant==. & actsearch_unemp==1.;

gen intlfparticipant=.;
label variable intlfparticipant "intermediate definition labour force participant";
replace intlfparticipant=1 if employed~=.;
replace intlfparticipant=2 if intlfparticipant==. & int_unemp==1;


**NON LABOUR FORCE PARTICIPANTS**;


gen brnonlfparticipant=.;
label variable brnonlfparticipant "broadly defined non labour force participant";
replace brnonlfparticipant=1 if brlfparticipant==. & h3==2 & h1!=1; *(not in the labour force, dont have wage work and say they do not want work);

gen stnonlfparticipant=.;
label variable stnonlfparticipant "strictly defined non labour force participant";
replace stnonlfparticipant=1 if stlfparticipant==. & h3==2 & h1!=1; *(not in the labour force, dont have wage work and say they do not want work);

gen intnonlfparticipant=.;
label variable intnonlfparticipant "intermediate definition: non labour force participant";
replace intnonlfparticipant=1 if intlfparticipant==. & h3==2 & h1!=1; *(not in the labour force, dont have wage work and say they do not want work);

gen brlabourmarketstatus=.;
label variable brlabourmarketstatus "labour market status (broad)";
replace brlabourmarketstatus=1 if lfemployed~=.;
replace brlabourmarketstatus=2 if brlabourmarketstatus==. & broad_unemp==1;
replace brlabourmarketstatus=3 if brnonlfparticipant==1;
replace brlabourmarketstatus=4 if brlabourmarketstatus==.;
label values brlabourmarketstatus brlabourmarketstatusv;
label define brlabourmarketstatusv 1 "employed" 2 "brunemp" 3 "non-LFP" 4 "missing";


**EXPANDED DEFINITION OF EMPLOYMENT**;

gen wageemployedexp=.;
label variable wageemployedexp "wage employed - extra";
replace wageemployedexp=1 if brlabourmarketstatus==4 & h1==1 & e1==1 & f5==1; *(those not in the labour force according to our definition but said that they were employed as wage workers)*;

gen selfempexp=.;
label variable selfempexp "self employed - extra";
replace selfempexp=1 if brlabourmarketstatus==4 & wageemployedexp~=1 & f6==1 & h2==1; *(those not in the labour force according to our definition - and did not qualify as employed above - but who consistently said they were self-employed)*;

gen broad_unempexp=.;
label variable broad_unempexp "broad unemployed - extra";
replace broad_unempexp=1 if brlabourmarketstatus==4 & wageemployedexp~=1 & selfempexp~=1 & h1==2 & h2==2 & h3==1 & f5==2 & f6==2 & f7==1 & ((f8_1==1 | f8_2==1 | f8_3==1) | (f8_1==. & f8_2==. & f8_3==.)); *(those not in the labour force according to our definition - and who did not qualify as employed or selfemployed above - but who consistently said they did not have employment and wanted a job)*;

gen brnonlfparticipantexp=.;
label variable brnonlfparticipant "broadly defined non labour force participant - extra";
replace brnonlfparticipantexp=1 if brlabourmarketstatus==4 & wageemployedexp~=1 & selfempexp~=1 & broad_unempexp~=1 & h4~=. & h3~=1; *(those not in the labour force according to our definition - and who did not qualify as employed or unemployed under the extended definition - but who gave reasons for not wanting a job)*;

gen brlabourmarketstatusexp=.;
replace brlabourmarketstatusexp=1 if brlabourmarketstatus==1;
replace brlabourmarketstatusexp=1 if brlabourmarketstatusexp==. & (wageemployedexp==1 | selfempexp==1);
replace brlabourmarketstatusexp=2 if brlabourmarketstatusexp==. & brlabourmarketstatus==2;
replace brlabourmarketstatusexp=2 if brlabourmarketstatusexp==. & broad_unempexp==1;
replace brlabourmarketstatusexp=3 if brlabourmarketstatusexp==. & brlabourmarketstatus==3;
replace brlabourmarketstatusexp=3 if brlabourmarketstatusexp==. & brnonlfparticipantexp==1;
label values brlabourmarketstatusexp brlabourmarketstatusexpv;
label define brlabourmarketstatusexpv 1 "employed" 2 "brunemp" 3 "non-LFP";

gen lmstatusfinal=.;
label variable lmstatusfinal "final labour force categories";
replace lmstatusfinal=1 if lfemployed==1 | wageemployedexp==1;
replace lmstatusfinal=2 if lfemployed==2 | selfempexp==1;
replace lmstatusfinal=3 if lfemployed==3;
replace lmstatusfinal=4 if actsearch_unemp==1;
replace lmstatusfinal=5 if networkex_unemp==1;
replace lmstatusfinal=6 if marg_unemp==1;
replace lmstatusfinal=6 if lmstatus==. & broad_unempexp==1;
replace lmstatusfinal=7 if brnonlfparticipant==1 | brnonlfparticipantexp==1;
label values lmstatusfinal lmstatusfinalv;
label define lmstatusfinalv 1 "wage-emp" 2 "self-emp" 3 "cas-emp" 4 "a-unem" 5 "n-unem" 6 "m-unemp" 7 "nlfp";

gen deliberateskip=.;
replace deliberateskip=1 if e1==2 & (f5==1 |f6==1 | f7==2) & g1==2 & (h1==1 | h2==1 | h3==1) &  i3==2 & j1==2 & lmstatusfinal==.;
list hhid pcode if deliberateskip==1;

tab lfemployed,m;
tab ftemployed,m;
tab ptemployed,m;
tab ptftemp,m;
tab lmstatusfinal,m;
