#delimit;

*Generate a Net Total Monthly income for each adult*;
*NOTE-GROSS INCOME NEEDS TO BE GENERATED BEFORE THIS FILE CAN BE RUN!!;
*Jolene Skordis, 01-10-2002, Ver 1.0*;

*log using "C:\logfiles\mplain\adultinc_net.smcl", replace;

*We are going to start using the merged file with the gross income variables in it;

*use "C:\data\mplain\mdt2102.dta", clear*;

*remember that totalincome was the gross monthly income derived previously;

sum totalincome;

*This is a monthly figure which needs to be annualised before we can decide which tax bracket the person falls into;

sort hhid pcode;

gen annualincome=.;
replace annualincome=(totalincome*12);
replace annualincome=. if totalincome==.;

*Now to turn this gross annual figure into a net annual figure;

gen anninclesstax=.;

replace anninclesstax=(annualincome*0.82) if annualincome~=. & annualincome>=0 & annualincome<=35000;
replace anninclesstax=(((annualincome-35000)*0.74)+28700) if annualincome~=. & annualincome>=35001 & annualincome<=45000;
replace anninclesstax=(((annualincome-45000)*0.68)+36100) if annualincome~=. & annualincome>=45001 & annualincome<=60000;
replace anninclesstax=(((annualincome-60000)*0.63)+46300) if annualincome~=. & annualincome>=60001 & annualincome<=70000;
replace anninclesstax=(((annualincome-70000)*0.60)+52600) if annualincome~=. & annualincome>=70001 & annualincome<=200000;
replace anninclesstax=(((annualincome-200000)*0.58)+130600) if annualincome~=. & annualincome>=200001;

sum anninclesstax;


*Now to turn this net annual figure into a net monthly figure;

gen netindivincome=.;
replace netindivincome=(anninclesstax/12);

sum netindivincome;

*Now to generate a total net household income variable from net individual income in the adult file*/;

sort hhid;

egen nethhtotminc=sum(netindivincome), by (hhid); /*Note households with missing income in netindivincome will now be zero*/;

label var nethhtotminc "Derived net monthly household income (all sources)";

*save "C:\data\mplain\mdt2102.dta", replace;

*NOW TO GENERATE SOME QUICK TABLES;

sort hhid;

sum q16 if hhid[_n]~=hhid[_n-1],detail;  /*average household income form household module Q16*/;

sort hhid;

sum hhtotminc if hhid[_n]~=hhid[_n-1],detail;  /*average gross household income from adult modules*/;

sort hhid;

sum nethhtotminc if hhid[_n]~=hhid[_n-1],detail;  /*average net household income from adult modules*/;

/*some high outliers affecting the results??*/;

sum hhtotminc if hhid[_n]~=hhid[_n-1] & hhtotminc<60000,detail; /*see what happens when we remove these*/;

sum nethhtotminc if hhid[_n]~=hhid[_n-1] & nethhtotminc <60000,detail; /*see what happens when we remove these*/;

spearman q16 hhtotminc if hhid[_n]~=hhid[_n-1];

spearman q16 nethhtotminc if hhid[_n]~=hhid[_n-1];

spearman hhtotminc nethhtotminc if hhid[_n]~=hhid[_n-1];

save "C:\data\mplain\mdt2102.dta", replace;

note: hhtotminc is gross;
note: nethhtotminc is net;
note hhtotminc: This is gross household monthly income;

*THE END!!;

log close;







