replace k5=. if k5==0

**Testing consistency of K5 and K2 answers**

gen pwp=33*22
label variable pwp "pwp monthly wage"
gen rpwpd=k5-pwp
label variable rpwpd "difference btw res wage and pwp wage"
gen con=.
replace con=1 if  (rpwpd>0 & rpwpd~=.) & k2==2
replace con=2 if  (rpwpd<0 &  rpwpd~=.) & k2==1
replace con=3 if  (rpwpd>0 &  rpwpd~=.) & k2==1
replace con=4 if  (rpwpd<0 &  rpwpd~=.) & k2==2
label variable con "consistency between reported res wage and acceptance or refusal of pwp job"
label values con conv
label define conv 1 "con: res>pwp and refusal" 2 "con: res<pwp and accept" 3 "incon: res>pwp and accept" 4 "incon: res<pwp and refusal"

**Testing consistency of K5 and K41 answers**

gen clean=1081
label variable clean "cleaners monthly wage"
gen rcleand=k5-clean
label variable rcleand "diff btw res wage and cleaners wage"
gen con1=.
replace con1=1 if  (rcleand>0 & rcleand~=.) & k4_1==2
replace con1=2 if  (rcleand<0 &  rcleand~=.) & k4_1==1
replace con1=3 if  (rcleand>0 &  rcleand~=.) & k4_1==1
replace con1=4 if  (rcleand<0 &  rcleand~=.) & k4_1==2
label variable con1 "consistency between reported res wage and acceptance or refusal of cleaner job"
label values con1 con1v
label define con1v 1 "con: res>clean and refusal" 2 "con: res<clean and accept" 3 "incon: res>clean and accept" 4 "incon: res<clean and refusal"

tab lmstatus1 if (rcleand>0 & rcleand~=.) & k4_1==2
tab lmstatus1 if (rcleand<0 &  rcleand~=.) & k4_1==1
tab lmstatus1 if (rcleand>0 &  rcleand~=.) & k4_1==1
tab lmstatus1 if (rcleand<0 &  rcleand~=.) & k4_1==2

**Testing consistency of K5 and K42 answers**

gen general=1438
label variable general "general workers monthly wage"
gen rgenerald=k5-general
label variable rgenerald "diff btw res wage and general workers wage"
gen con2=.
replace con2=1 if  (rgenerald>0 & rgenerald~=.) & k4_2==2
replace con2=2 if  (rgenerald<0 &  rgenerald~=.) & k4_2==1
replace con2=3 if  (rgenerald>0 &  rgenerald~=.) & k4_2==1
replace con2=4 if  (rgenerald<0 &  rgenerald~=.) & k4_2==2
label variable con2 "consistency between reported res wage and acceptance or refusal of general job"
label values con2 con2v
label define con2v 1 "con: res>general and refusal" 2 "con: res<general and accept" 3 "incon: res>general and accept" 4 "incon: res<general and refusal"

**Testing consistency of K5 and K43 answers**

gen mach=1438
label variable mach "machine operators monthly wage"
gen rmachd=k5-mach
label variable rmachd "diff btw res wage and machine operators wage"
gen con3=.
replace con3=1 if  (rmachd>0 & rmachd~=.) & k4_3==2
replace con3=2 if  (rmachd<0 &  rmachd~=.) & k4_3==1
replace con3=3 if  (rmachd>0 &  rmachd~=.) & k4_3==1
replace con3=4 if  (rmachd<0 &  rmachd~=.) & k4_3==2
label variable con3 "consistency between reported res wage and acceptance or refusal of machine job"
label values con3 con3v
label define con3v 1 "con: res>mach and refusal" 2 "con: res<mach and accept" 3 "incon: res>mach and accept" 4 "incon: res<mach and refusal"


tab con
tab con1
tab con2
tab con3

 









