 

**Creating the race dummy variable"

gen race1=a2
label variable race1 "race group of respondent"
label values race1 race1v
label define race1v 1 "african" 2 "coloured" 3 "indian" 996 "other"
replace race1=. if a2==3
replace race1=. if a2==996


**Making Africans the base**

replace race1=0 if race1==1
replace race1=1 if race1==2
label values race1 race1vv
label define race1vv 0 "african" 1 "coloured"
label variable race1 "Africans and coloureds only"

gen african=1
replace african=0 if race1==1
label var african "african dummy"

**Creating the Education Variable**

**No schooling - a3**
gen edu=.
replace edu=0 if a3==2 & (a7==. | a7==0) & a4==2
replace edu=0 if a3==2 & (a7==. | a7==0) 

**Presently enrolled -a4- number of complete years is (a5-1)**

replace edu=1 if a4==1 & a5==2
replace edu=2 if a4==1 & a5==3
replace edu=3 if a4==1 & a5==4
replace edu=4 if a4==1 & a5==5
replace edu=5 if a4==1 & a5==6
replace edu=6 if a4==1 & a5==7
replace edu=7 if a4==1 & a5==8
replace edu=8 if a4==1 & a5==9
replace edu=9 if a4==1 & a5==10
replace edu=10 if a4==1 & a5==11
replace edu=11 if a4==1 & a5==12

replace edu=1 if a4==1 & a5==. & a7==1
replace edu=2 if a4==1 & a5==. & a7==2
replace edu=3 if a4==1 & a5==. & a7==3
replace edu=4 if a4==1 & a5==. & a7==4
replace edu=5 if a4==1 & a5==. & a7==5
replace edu=6 if a4==1 & a5==. & a7==6
replace edu=7 if a4==1 & a5==. & a7==7
replace edu=8 if a4==1 & a5==. & a7==8
replace edu=9 if a4==1 & a5==. & a7==9
replace edu=10 if a4==1 & a5==. & a7==10
replace edu=11 if a4==1 & a5==. & a7==11
replace edu=12 if a4==1 & a5==. & a7==12

**not enrolled - number of years completed a7**

replace edu=1 if edu==. & a7==1
replace edu=2 if edu==. & a7==2
replace edu=3 if edu==. & a7==3
replace edu=4 if edu==. & a7==4
replace edu=5 if edu==. & a7==5
replace edu=6 if edu==. & a7==6
replace edu=7 if edu==. & a7==7
replace edu=8 if edu==. & a7==8
replace edu=9 if edu==. & a7==9
replace edu=10 if edu==. & a7==10
replace edu=11 if edu==. & a7==11
replace edu=12 if edu==. & a7==12

label var edu "highest school grade passed"

**post-school education**

gen diffage=a25-a23
replace diffage=. if diffage<0

gen post=.
replace post=3 if a26==2 & edu==12
replace post=2 if (a26==5 | a26==6 | a26==7)
replace post=1 if (a26==3 | a26==4 | a26==8 | a26==9)

replace post=1 if (a22==3 | a22==4 | a22==5) & a24==1 & post==.
replace post=2 if (a22==6) & a24==1 & post==.
replace post=3 if (a22==7) & a24==1 & post==.

replace post=1 if (a26==996 & a27==1) & post==.
replace post=1 if a22==996 & a24==1 & post==.

**Final years of education variable**

label var post "years of post-school education"
gen postschool=0
replace postschool=1 if post!=.
label var postschool "post school dummy"

gen univtech=0
replace univtech=1 if a22==6
replace univtech=1 if univtech==0 & a22==7
label var univtech "university/technikon dummy"

gen jobtraining=0
replace jobtraining=1 if a22==4
replace jobtraining=1 if jobtraining==0 & a22==5
replace jobtraining=1 if jobtraining==0 & a22==3
label var jobtraining "job related training dummy"

gen post1=post
replace post1=0 if post==.
gen educ=edu+post1
label var educ "total years of education"

**Education Categories**

gen edcat=.
replace edcat=1 if edu<=7 & post1==0
replace edcat=2 if edu<=7 & post1>0
replace edcat=3 if edu>7 & edu<=11 & post1==0
replace edcat=4 if edu>7 & edu<=11 & post1>0
replace edcat=5 if edu==12 & post1==0
replace edcat=6 if edu==12 & post1>0
replace edcat=7 if edu==12 & post1==3

**dummies**

tab edcat, gen(edcatid)
tab1 edcatid1 edcatid2 edcatid3 edcatid4 edcatid5 edcatid6 edcatid7



**Creating the Marriage Variable - 1 if presently married, 0 if not married**
gen married= q15adult
replace married=0 if  q15adult==1 | q15adult==4 | q15adult==5 |  q15adult==6 |  q15adult==7
replace married=1 if  q15adult==2 | q15adult==3
label variable married "present marital status"
label define marriedv 0 "unmarried" 1 "married"
label values married marriedv



**Creating the household head variable**
gen head=0
replace head=1 if  q2adult==1
replace head=. if  q2adult==.
label variable head "household head"
label define headv 0 "not the head" 1 "head of household"
label values head headv



**Creating the Work Experience Variable**

gen work=.
label variable work "number of jobs in lifetime"
replace work=0 if d12==2 & (d21==0 | d21==.) & (d41==0 | d41==.) & (e9==0 | e9==.)
replace work=0 if d12==. & d14year==. & d15==. & d21==0 & d41==0

replace work=1 if (d12==1 & d12~=.) & d15==1
replace work=1 if e1==1 | e9>0 & e9~=.
replace work=1 if d12==1 & (d14year>0 & d14year~=.)  
replace work=1 if (d14year>0 &  d14year~=.) & (d21>0 & d21~=.)
replace work=1 if (d21>0 & d21~=.)

replace work=2 if d15==2 & d32==1
replace work=2 if d15==2 & (d41>0 | d41~=.) & (e9>0 | e9~=.)
replace work=1 if work==2

label define workv 0 "never worked" 1 "worked before"
label value work workv



**Creating Unemployment Duration Variable**

gen dura=.
replace dura= f10years if  f10years~=.
replace dura= f10years*12 if  f10years~=.
replace dura=0 if dura==.
replace  f10months=0 if f10months==.
replace dura=dura+ f10months
replace dura=. if dura==0
label variable dura "duration of unemployment in months"

**creating unemployment duration categories (used in regressions etc.)**

gen dura4=dura
replace dura4=1 if dura<=6
replace dura4=2 if dura>6 & dura<=12
replace dura4=3 if dura>12 & dura<=24
replace dura4=4 if dura>24 & dura<=48
replace dura4=5 if dura>48 & dura<=96
replace dura4=6 if dura>96 & dura~=.
label variable dura4 "duration of unemployment split specific categories"
label define dura4f 1 "unem 6 months or less" 2 "unem btw 6 and 12 months" 3 "unem btw 12 and 24 months" 4 "unem btw 24 and 48 months" 5 "unem btw 48 and 96 months" 6 "unem greater 8 years" 
label value dura4 dura4f

**dummies**

tab dura4, gen(dura4id)
tab1 dura4id1 dura4id2 dura4id3 dura4id4 dura4id5 dura4id6  

**creating unemployment duration categories**

gen dura1=dura
replace dura1=1 if dura<=5
replace dura1=2 if dura>5 & dura<=10
replace dura1=3 if dura>10 & dura<=15
replace dura1=4 if dura>15 & dura<=20
replace dura1=5 if dura>20 & dura<=25
replace dura1=6 if dura>25 & dura<=30
replace dura1=7 if dura>30 & dura<=35
replace dura1=8 if dura>35 & dura<=40
replace dura1=9 if dura>40 & dura<=45
replace dura1=10 if dura>45 & dura~=. 
label variable dura1 "duration of unemployment split into categories"
label define dura1w 1 "unem 1-5months" 2 "unem 6-10months" 3 "unem 11-15months" 4 "unem 16-20months" 5 "unem 21-25months" 6 "unem 26-30months" 7 "unem 31-35months" 8 "unem 36-40months" 9 "unem 41-45months" 10 "unem >45months"
label value dura1 dura1w

**creating unemployment duration categories (years)**

gen dura2=dura
replace dura2=1 if dura<=12
replace dura2=2 if dura>12 & dura<=24
replace dura2=3 if dura>24 & dura<=36
replace dura2=4 if dura>36 & dura<=48
replace dura2=5 if dura>48 & dura<=60
replace dura2=6 if dura>60 & dura<=72
replace dura2=7 if dura>72 & dura<=84
replace dura2=8 if dura>84 & dura<=96
replace dura2=9 if dura>96 & dura<=108
replace dura2=10 if dura>108 & dura~=. 
label variable dura2 "duration of unemployment split into year categories"
label define dura2w 1 "unem 1 year" 2 "unem 2 years" 3 "unem 3 years" 4 "unem 4 years" 5 "unem 5 years" 6 "unem 6 years" 7 "unem 7 years" 8 "unem 8 years" 9 "unem 9 years" 10 "unem > 10 years"
label value dura2 dura2w

**creating unemployment duration categories (own2)**

gen dura3=dura
replace dura3=1 if dura<=6
replace dura3=2 if dura>6 & dura<=12
replace dura3=3 if dura>12 & dura<=24
replace dura3=4 if dura>24 & dura<=48
replace dura3=5 if dura>48 & dura<=96
replace dura3=6 if dura>96 & dura<=144
replace dura3=7 if dura>144 & dura~=.
label variable dura3 "duration of unemployment split into year categories"
label define dura3w 1 "unem 6 months or less" 2 "unem btw 6 and 12 months" 3 "unem btw 1 and 2 years" 4 "unem btw 3 and 5 years" 5 "unem btw 6 and 8 years" 6 "unem btw 9 and 12 years" 7 "unem greater 12 years" 
label value dura3 dura3w

**creating unemployment duration categories (own3)**

generate dura6=dura
replace dura6=. if dura>24
label variable dura6 "duration of unemployment in months for the first 24 months"



**creating background variable**

generate back=b2
replace back=0 if b2==2
replace back=2 if b2==3
label variable back "background"
label define backv 0 "rural-commercial farm" 1 "urban" 2"rural-bantustan"
label value back backv 
tab back, gen(backid)
tab1 backid1 backid2 backid3  

gen back1=back
replace back1=0 if back==2
label variable back1 "background, 0 rural, 1 urban"


label define back1v 0 "rural" 1 "urban"
label value back1 back1v



**creating the number of children less than equal to 16 in hhold variable**

gen childage=.
replace childage=cage if cage<17
replace childage=1 if childage>=0 & childage~=.
egen numchild=count(childage), by(hhid)
label variable childage "indicates whether a child is under the age of 17"
label variable numchild "number of children under the age of 17 in hhold"



**creating number of other wage employed persons in hhold variable - using Nicki's definition from LMSTATUS1**

gen memploy=.
replace memploy=1 if lmstatus1==1
egen numploy=count(memploy), by(hhid)
label variable memploy "indicates whether person is in wage employment"
label variable numploy "number of persons in wage employment in the hhold"
gen numploy1=numploy
replace numploy1=3 if numploy>=3
gen numploy2=numploy
replace numploy2=2 if numploy>=2



**creating a union membership variable**

gen union=0
replace union=1 if e19_6>0 & e19_6~=.
label variable union "union membership"
label define unionw 0 "non-member" 1 "member" 
label value union unionw



**creating a transport cost variable**

gen transcost=f20
replace transcost=. if f20==0
replace  transcost= transcost*4
label variable transcost "transport costs associated with job search activity"



**creating an expectations variable and then dummy variables**

gen exp=.
replace exp=1 if  f17_1==1
replace exp=2 if   f17_2==1 &  f17_1~=1
replace exp=3 if  f17_3==1 &  f17_2~=1 &  f17_1~=1
replace exp=4 if  f17_4==1 &  f17_3~=1 &  f17_2~=1 &  f17_1~=1
replace exp=5 if  f17_4==2 &  f17_3~=1 &  f17_2~=1 &  f17_1~=1

label variable exp "expectations on getting a job"
label define expw 1 "very positive" 2 "positive" 3 "mediocre" 4 "disheartened" 5 "very disheartened" 
label value exp expw

tab exp, gen (expid)
tab1 expid1 expid2 expid3 expid4 expid5



**creating a luck variable**

gen luck=. 
replace luck=1 if  f3_1==1| f3_1==2
replace luck=2 if  f3_1==3
replace luck=3 if  f3_1==4 |  f3_1==5
label variable luck "views on whether it is pure luck whether a person gets a job or not"
label define luckw 1 "disagree" 2 "neither" 3 "agree" 
label value luck luckw



**INCOME - variables, some of this was used in the paper but a lot of it was used to test different options**


gen allwageinc1=allwageinc
replace allwageinc1=0 if allwageinc==.
gen selfsw=g13_8temp 
replace selfsw=0 if g13_8temp==.
gen casualsw=i15temp
replace casualsw=0 if i15temp==.
gen casualsw1=i30_2temp
replace casualsw1=0 if i30_2temp==.
label variable allwageinc1 "gross monthly wages from all jobs as per welch and skordis adj"
label variable selfsw "self wage skordis welch adj"
label variable casualsw "casual wage skordis welch adj"
label variable casualsw1 "casual wage extra skordis welch adj"


gen nethhincome=hhtotminc-allwageinc1-selfsw-casualsw-casualsw1
replace nethhincome=hhtotminc if allwageinc==. & g13_8temp==. & i15temp==. & i30_2temp==.
replace nethhincome=. if nethhincome<0
label variable nethhincome "hhold income minus persons contribution to the hhold income for each respondent" 

**savings**

gen stokvel= l2
replace stokvel=0 if l2==.
gen burial=l4
replace burial=0 if l4==.
gen bank=l6
replace bank=0 if l6==.
gen othsav=l8
replace othsav=0 if l8==.
gen savings=stokvel+burial+bank+othsav
label variable savings "total savings per month"

gen savingdum=0
replace savingdum=1 if savings>0
label variable savingdum "1 if people save, 0 if don't save"


**debt**

gen debt=l11
replace debt=0 if l11==2
label variable debt "1 if person is in debt, 0 if person is not in debt"



**grants**

#delimit;

*L13_1 to L13_10 converted to monthly*/;


gen l13_1_1temp=.;
replace l13_1_1temp=l13_1_1 if l13_1_2==3;
replace l13_1_1temp=(l13_1_1/2) if l13_1_2==4; 
replace l13_1_1temp=l13_1_1 if l13_1_2==. & l13_1_1~=0; /*assume if l13_1_2=. that monthly*/;
replace l13_1_1temp=. if l13_1_1temp==0;
assert l13_1_1temp~=0;

gen l13_2_1temp=.;
replace l13_2_1temp=l13_2_1 if l13_2_2==3;
replace l13_2_1temp=(l13_2_1/2) if l13_2_2==4; 
replace l13_2_1temp=l13_2_1 if l13_2_2==. & l13_2_1~=0; /*assume if l13_2_2=. that monthly*/;
replace l13_2_1temp=. if l13_2_1temp==0;
assert l13_2_1temp~=0;

gen l13_3_1temp=.;
replace l13_3_1temp=l13_3_1 if l13_3_2==3;
replace l13_3_1temp=(l13_3_1/2) if l13_3_2==4; 
replace l13_3_1temp=l13_3_1 if l13_3_2==. & l13_3_1~=0; /*assume if l13_3_2=. that monthly*/;
replace l13_3_1temp=. if l13_3_1temp==0;
assert l13_3_1temp~=0;

gen l13_4_1temp=.;
replace l13_4_1temp=l13_4_1 if l13_4_2==3;
replace l13_4_1temp=(l13_4_1/2) if l13_4_2==4; 
replace l13_4_1temp=l13_4_1 if l13_4_2==. & l13_4_1~=0; /*assume if l13_4_2=. that monthly*/;
replace l13_4_1temp=. if l13_4_1temp==0;
assert l13_4_1temp~=0;

gen l13_5_1temp=.;
replace l13_5_1temp=l13_5_1 if l13_5_2==3;
replace l13_5_1temp=(l13_5_1/2) if l13_5_2==4; 
replace l13_5_1temp=l13_5_1 if l13_5_2==. & l13_5_1~=0; /*assume if l13_5_2=. that monthly*/;
replace l13_5_1temp=. if l13_5_1temp==0;
assert l13_5_1temp~=0;

gen l13_6_1temp=.;
replace l13_6_1temp=l13_6_1 if l13_6_2==3;
replace l13_6_1temp=(l13_6_1/2) if l13_6_2==4;
replace l13_6_1temp=l13_6_1 if l13_6_2==. & l13_6_1~=0; /*assume if L13_6_2=. that monthly*/;
replace l13_6_1temp=. if l13_6_1temp==0;
assert l13_6_1temp~=0;

gen l13_7_1temp=.;
replace l13_7_1temp=l13_7_1 if l13_7_2==3;
replace l13_7_1temp=(l13_7_1/2) if l13_7_2==4;
replace l13_7_1temp=l13_7_1 if l13_7_2==. & l13_7_1~=0; /*assume if L13_7_2=. that monthly*/;
replace l13_7_1temp=. if l13_7_1temp==0;
assert l13_7_1temp~=0;

gen l13_8_1temp=.;
replace l13_8_1temp=l13_8_1 if l13_8_2==3;
replace l13_8_1temp=(l13_8_1/2) if l13_8_2==4;
replace l13_8_1temp=l13_8_1 if l13_8_2==. & l13_8_1~=0; /*assume if l13_8_2=. that monthly*/;
replace l13_8_1temp=. if l13_8_1temp==0;
assert l13_8_1temp~=0;

gen l13_9_1temp=.;
replace l13_9_1temp=l13_9_1 if l13_9_2==3;
replace l13_9_1temp=(l13_9_1/2) if l13_9_2==4;
replace l13_9_1temp=l13_9_1 if l13_9_2==. & l13_9_1~=0; /*assume if l13_9_2=. that monthly*/;
replace l13_9_1temp=. if l13_9_1temp==0;
assert l13_9_1temp~=0;

gen l13_10_1temp=.;
replace l13_10_1temp=l13_10_1 if l13_10_2==3;
replace l13_10_1temp=(l13_10_1/2) if l13_10_2==4;
replace l13_10_1temp=l13_10_1 if l13_10_2==. & l13_10_1~=0; /*assume if l13_10_2=. that monthly*/;
replace l13_10_1temp=. if l13_10_1temp==0;
assert l13_10_1temp~=0;

**creating grant dummies**
#delimit;
gen state=l13_1_1temp;
replace state=0 if state==.;
gen statedum=state;
replace statedum=1 if state>0;


gen disab=l13_2_1temp;
replace disab=0 if disab==.;
gen disabdum=disab;
replace disabdum=1 if disab>0;

gen vet=l13_3_1temp;
replace vet=0 if vet==.;
gen vetdum=vet;
replace vetdum=1 if vet>0;

gen pen=l13_4_1temp;
replace pen=0 if pen==.;
gen pendum=pen;
replace pendum=1 if pen>0;

gen wcomp=l13_5_1temp;
replace wcomp=0 if wcomp==.;
gen wcompdum=wcomp;
replace wcompdum=1 if wcomp>0;

gen uif=l13_6_1temp;
replace uif=0 if uif==.;
gen uifdum=uif;
replace uifdum=1 if uif>0;

gen childsup= l13_7_1temp;
replace childsup=0 if childsup==.;
gen childsupdum=childsup;
replace childsupdum=1 if childsup>0;

gen privchild= l13_8_1temp;
replace privchild=0 if privchild==.;
gen privchilddum=privchild;
replace privchilddum=1 if privchild>0;

gen fost=l13_9_1temp;
replace fost=0 if fost==.;
gen fostdum=fost;
replace fostdum=1 if fost>0;

gen alimony=l13_10_1temp;
replace alimony=0 if alimony==.;
gen alimonydum=alimony;
replace alimonydum=1 if alimony>0;

gen grant=state+disab+vet+pen+wcomp+uif+childsup+privchild+fost+alimony;

gen grantd=grant;
replace grantd=1 if grant>0;
  
drop *_1temp;
