hist k5
replace k5=. if k5>7000
  

**dealing with non-labour force participants**
replace lmstatus1=. if lmstatus1==7 & h4==1 | h4==7
replace lmstatus1=. if lmstatus1==7 & agecat==9
replace k5=. if agecat==9

**assessing the continuous variables**
sum k5 a1 age2 numchild dura numploy2 educ hhtotminc nethhincome if _merge==3 & lmstatus1~=.


**creating log of the income variables to control for wide variation**

gen lnk5=log(k5)
label var lnk5 "log of reservation wage"

gen lnhhtotminc=log(hhtotminc)
label var lnhhtotminc "log of total household income"

sum lnk5 a1 age2 numchild dura numploy2 educ lnhhtotminc if _merge==3  & lmstatus1~=.



**Regressions**

reg  lnk5 a1 numchild numploy2 educ gen race1 married head work savingdum  if lmstatus1~=.

**base**
reg  lnk5 a1 numploy2 educ gen race1 married if lmstatus1~=.

gen wageemployed=0
replace wageemployed=1 if lmstatus1==1
gen selfemployed=0
replace selfemployed=1 if lmstatus1==2
gen casualemployed=0
replace casualemployed=1 if lmstatus1==3
gen searchunemployed=0
replace searchunemployed=1 if lmstatus1==4
gen networkunemployed=0
replace networkunemployed=1 if lmstatus1==5
gen marginalunemployed=0
replace marginalunemployed=1 if lmstatus1==6
gen nonlabourforceparticipant=0
replace nonlabourforceparticipant=1 if lmstatus1==7


**lmstatus**
reg  lnk5 a1 numploy2 educ gen race1 married selfemployed casualemployed searchunemployed networkunemployed marginalunemployed nonlabourforceparticipant if lmstatus1~=.

**place of birth**
reg  lnk5 a1 numploy2 educ gen race1 married  back1 if lmstatus1~=.


**educat**
reg  lnk5 a1 numploy2  edcatid2 edcatid3 edcatid4 edcatid5 edcatid6 edcatid7 gen race1 married if lmstatus1~=.


**age2**
reg  lnk5 a1 age2 numploy2 educ gen race1 married if lmstatus1~=. 



**WAGE EMPLOYED**

**base**
reg  lnk5 a1 numploy2 educ gen race1 married if lmstatus1~=. & lmstatus1==1

**putting in incomes**

gen lnnonwageincome=log(nonwageincome)
label var lnnonwageincome "log of nonwage income"

gen lnnethhincome=log(nethhincome)
label var lnnethhincome "log of net household income"

reg  lnk5 a1 educ gen race1 married lnnethhinc lnnonwageincome if lmstatus1~=. & lmstatus1==1
predict pink, resid


**educats**
reg  lnk5  edcatid2 edcatid3 edcatid4 edcatid5 edcatid6 edcatid7 gen race1 married if lmstatus1~=. & lmstatus1==1



**UNEMPLOYED**

**base**
reg  lnk5 a1 numploy2 educ gen race1 married if lmstatus1~=. & (lmstatus1==4 | lmstatus1==5 | lmstatus1==6)



**SELF EMPLOYED**

**base**
reg  lnk5 a1 numploy2 educ gen race1 married if lmstatus1~=. & lmstatus1==2



**Non-labour force participants**

**base**
reg  lnk5 a1 numploy2 educ gen race1 married if lmstatus1~=. & lmstatus1==7




**EXAMPLE OF PREDICT COMMAND - notes**
*sort hhid
*reg totmexp totminc if hhid~=hhid[_n-1]
*predict mexphat if hhid~=hhid[_n-1]**


**hhid~=hhid[_n-1]**


**testing for heteroskedasticity**

*imtest, white
